import * as Promise from 'promise';
import { FlowTask } from '@devhelpr/flowrunner';
export declare class FetchTask extends FlowTask {
    execute(node: any, services: any): Promise<{}>;
    replacePropertiesInUrl: (url: string, data: any) => string;
    getDescription(): string;
    getName(): string;
    getFullName(): string;
    getIcon(): string;
    getShape(): string;
    getDefaultColor(): string;
    getTaskType(): string;
    getPackageType(): number;
    getCategory(): string;
    getController(): string;
    getConfigMetaData(): ({
        name: string;
        defaultValue: string;
        valueType: string;
        required: boolean;
        enumValues?: undefined;
        enumText?: undefined;
    } | {
        name: string;
        defaultValue: string;
        valueType: string;
        enumValues: string[];
        enumText: string[];
        required?: undefined;
    })[];
}
